﻿using System;
using System.Collections.Generic;

namespace APIExample.Models
{
    public class ApiProjectDetails
    {
        public bool LockContextMatches;
        public bool Lock100Matches;
        public string ManagerEmail;
        public string ManagerPhone;
        public long FilesCount;
        public List<ApiTranslationMemory> TranslationMemories;
        public List<ApiTerminologyRepository> TerminologyRepositories;
        public List<ApiTeamMember>Team;
        public List<ApiAnalysisItem> Analysis;
        public long Id;
        public string Name;
        public long ManagerId;
        public string ManagerName;
        public long OwnerId;
        public string OwnerName;       
        public long SourceLanguageId;
        public long TargetLanguageId;
        public string SourceLanguageCode;
        public string TargetLanguageCode;
        public DateTime? CreationDateUtc;
        public DateTime? StartDateUtc;
        public DateTime? EndDateUtc;
        public long Progress;
        public long TranslationProgress;
        public long ProofreadingProgress;
        public string ReferenceNumber;
        public string Description;
        public string State;

        public string PostbackUrl;
        public string CustomField1;
        public string CustomField2;
    }
}
